
export type AutoGeneratedFurigana = {
    text: string;
    startIdx: number;
    endIdx: number;
}

export type GenerateFurigana_Input = {
    term: string;
    reading: string;
};

export type GenerateFurigana_Output = {
    formatedFurigana: string;
    furigana: AutoGeneratedFurigana[];
};

export interface JapaneseHelperAdapter {

    generateFurigana( input: GenerateFurigana_Input ): GenerateFurigana_Output;
    isKanji( char: string ): boolean;
    hasKanji( text: string ): boolean;
    hasKatakana( text: string ): boolean;
    toHiragana( sentence: string ): string;
}